﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr161_1
{
    // Первый интерфейс: 
    interface First { 
        void show();
    }

    // Второй интерфейс: 
    interface Second { 
        void show();
    }

    // Класс реализует интерфейсы: 
    class MyClass: First, Second {
        // Описание метода: 
        public void show() {
            Console.WriteLine("Объект класса MyClass");
        }
    }

    // Класс с главным методом: 
    class Program
    {
        // Главный метод: 
        static void Main()
        {
            // Создание объекта:
            MyClass obj = new MyClass();
            // Ссылка на объект записывается 
            // в интерфейсные переменные:
            First A = obj;
            Second B = obj;
            // Вызовы метода через разные переменные: 
            obj.show();
            A.show();
            B.show();
            // Задержка:
            Console.ReadLine();
        }
    }
}
